Remote Lights-Out Mgmt (iLO 2, iLO, RILOE II) Forum
Showing results for 
Search instead for 
Do you mean 

Unable to upgrade firmware under linux

Occasional Visitor

Unable to upgrade firmware under linux

Hi,

I have a server in another building (in another country! ).

The Ilo of the server became unreachable. I think it is due to a misconfiguration of the ports numbers and/or problem in firmware upgrade.


I modified the CD Smart Scripting toolkit (add an sshd) and send it to the other building.

Now I am able to ssh to the server, but the ILO doesn't answer to hponcfg
(hponcfg says :

bash-2.05a# ./hponcfg
ERROR: No iLO was found.

)

and I am unable to upload a new firmware :

bash-2.05a# sh CP004640.scexe
FLASH_iLO v1.01 for Linux (May 18 2004)
Copyright 2003 Hewlett-Packard Development Company, L.P.
Firmware image: ilo160.bin

ERROR: Update the system to a newer version of the HP Management drivers and agents, and/or execute the utility as 'root'. []
bash-2.05a#

I tried to compile a new cpqci.o but don't have the sources of the kernel of smart scripting toolkit.

Do you have any idea ?

Thanks in advance for any help !
1 REPLY
Honored Contributor

Re: Unable to upgrade firmware under linux

It sounds like the iLO driver is not working properly. You can download that from
http://h18013.www1.hp.com/support/files/lights-out/us/index.html
Select the proper Linux distribution then install the Drivers and agents.

This will allow hponcfg to talk to the management processor in the host.

Also, there is an Online firmware update program for Linux. You do not have to use HPONCFG to do this- it might be an alternative for you.

Finally, did you know that you can SSH into iLO and then access the virtual serial console? There is a HOWTO on this located here:
http://h20000.www2.hp.com/bizsupport/TechSupport/DocumentIndex.jsp?contentType=SupportManual&locale=en_US&docIndexId=179166&taskId=101&prodTypeId=15351&prodSeriesId=397989